# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-05-19 14:31
from __future__ import unicode_literals

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('boxes', '0007_auto_20160603_1138'),
    ]

    operations = [
        migrations.AlterField(
            model_name='box',
            name='created_at',
            field=models.DateTimeField(auto_now_add=True, verbose_name='Created at'),
        ),
        migrations.AlterField(
            model_name='box',
            name='description',
            field=models.TextField(blank=True, null=True, verbose_name='Description'),
        ),
        migrations.AlterField(
            model_name='box',
            name='expires_at',
            field=models.DateTimeField(blank=True, null=True, verbose_name='Expires at'),
        ),
        migrations.AlterField(
            model_name='box',
            name='last_sent_at',
            field=models.DateTimeField(null=True, verbose_name='Last sent at'),
        ),
        migrations.AlterField(
            model_name='box',
            name='max_messages',
            field=models.PositiveIntegerField(default=1, validators=[django.core.validators.MinValueValidator(1)], verbose_name='Max. messages'),
        ),
        migrations.AlterField(
            model_name='box',
            name='name',
            field=models.CharField(max_length=128, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='box',
            name='owner',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='own_boxes', to=settings.AUTH_USER_MODEL, verbose_name='Owner'),
        ),
        migrations.AlterField(
            model_name='box',
            name='recipients',
            field=models.ManyToManyField(related_name='boxes', through='boxes.Membership', to=settings.AUTH_USER_MODEL, verbose_name='Recipients'),
        ),
        migrations.AlterField(
            model_name='box',
            name='status',
            field=models.IntegerField(choices=[(10, 'Open'), (20, 'Expired'), (30, 'Done'), (40, 'Closed')], default=10, verbose_name='Status'),
        ),
        migrations.AlterField(
            model_name='box',
            name='updated_at',
            field=models.DateTimeField(auto_now=True, verbose_name='Updated at'),
        ),
        migrations.AlterField(
            model_name='box',
            name='uuid',
            field=models.UUIDField(default=uuid.uuid4, editable=False, verbose_name='Unique ID'),
        ),
        migrations.AlterField(
            model_name='membership',
            name='access',
            field=models.IntegerField(choices=[(10, 'Knowledge of existence'), (20, 'Activity notifications'), (30, 'Full access to content')], default=30, verbose_name='Rights'),
        ),
        migrations.AlterField(
            model_name='membership',
            name='created_at',
            field=models.DateTimeField(auto_now_add=True, verbose_name='Created at'),
        ),
        migrations.AlterField(
            model_name='membership',
            name='updated_at',
            field=models.DateTimeField(auto_now=True, verbose_name='Updated at'),
        ),
        migrations.AlterField(
            model_name='message',
            name='created_at',
            field=models.DateTimeField(auto_now_add=True, verbose_name='Created at'),
        ),
        migrations.AlterField(
            model_name='message',
            name='sent_at',
            field=models.DateTimeField(blank=True, null=True, verbose_name='Sent at'),
        ),
        migrations.AlterField(
            model_name='message',
            name='status',
            field=models.IntegerField(choices=[(10, 'OnQueue'), (20, 'Sent'), (30, 'Failed')], default=10, verbose_name='Status'),
        ),
        migrations.AlterField(
            model_name='message',
            name='updated_at',
            field=models.DateTimeField(auto_now=True, verbose_name='Updated at'),
        ),
    ]
